%global octpkg dicom
%global __provides_exclude_from ^%{octpkglibdir}/.*\\.oct$

Name:           octave-%{octpkg}
Version:        0.1.1
Release:        13.20150707hg45%{?dist}
Summary:        Dicom processing for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/dicom/
# hg clone http://hg.code.sf.net/p/octave/dicom octave-dicom
# cd octave-dicom
# hg archive ../dicom-0.1.1-hg45.tar.gz
Source0:        %{octpkg}-%{version}-hg45.tar.gz
#Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# Patch to support octave 4.0.0
# https://savannah.gnu.org/bugs/index.php?44624
Patch0:         dicom_fix4_and_minw.patch

# For bootstrap
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  octave-devel
BuildRequires:	gdcm-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave

%description
The Octave-forge Image package provides functions for processing 
Digital communications in medicine (DICOM) files.

%prep
%setup -q -n %{octpkg}-%{version}-hg45
%patch0 -p1

%build
# Needed for building from hg snapshot
cd src
./bootstrap
cd -
%octave_pkg_build

%install
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%{octpkgdir}/


%changelog
* Tue Jul 07 2015 Orion Poplawski <orion@cora.nwra.com> - 0.1.1-13.20150707hg45
- Use hg snapshot
- Add patch to support octave 4.0.0

* Tue Jul 07 2015 Orion Poplawski <orion@cora.nwra.com> - 0.1.1-12
- Rebuild for octave 4.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.1-10
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Dec 29 2013 Orion Poplawski <orion@cora.nwra.com> - 0.1.1-7
- Rebuild for octave 3.8.0

* Tue Oct 29 2013 Mario Ceresa <mrceresa@fedoraproject.org> 0.1.1-6
- Release bump to build against new gdcm

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 13 2013 Mario Ceresa <mrceresa@fedoraproject.org> 0.1.1-4
- Fixed license
- Dropped buildroot removal in install section
- Excluded *.oct from provides

* Mon May 13 2013 Mario Ceresa <mrceresa@fedoraproject.org> 0.1.1-3
- Removed duplicated include in files
- Dropped obsolated octave-forge

* Mon May 13 2013 Mario Ceresa <mrceresa@fedoraproject.org> 0.1.1-2
- Fixed some initial problems found by fedora-review

* Mon May 13 2013 Mario Ceresa <mrceresa@fedoraproject.org> 0.1.1-1
- Initial Fedora package

